%global momorel 3
%global majorminor 0.10

%global srcname gst-plugins-bad

Name: gstreamer-plugins-bad
Version: 0.10.12
Release: %{momorel}m%{?dist}
Summary: GStreamer streaming media framework bad plug-ins

Group: Applications/Multimedia
License: LGPL
URL: http://gstreamer.freedesktop.org/
Source0: http://gstreamer.freedesktop.org/src/%{srcname}/%{srcname}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: gstreamer

# plugins
BuildRequires: bzip2-devel
BuildRequires: dirac-devel
BuildRequires: exempi-devel
BuildRequires: faac-devel
BuildRequires: faad2-devel >= 2.7
BuildRequires: fftw-devel
BuildRequires: flac-devel
BuildRequires: gdbm-devel
BuildRequires: glib2-devel
BuildRequires: gnutls-devel
BuildRequires: gsm-devel
BuildRequires: gstreamer-devel
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: jack-devel
BuildRequires: jasper-devel
BuildRequires: krb5-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXt-devel
BuildRequires: libasyncns-devel
BuildRequires: libcap-devel
BuildRequires: libdvdnav-devel
BuildRequires: libdvdread-devel
BuildRequires: libexif-devel
BuildRequires: libgpg-error-devel
BuildRequires: libiptcdata-devel
BuildRequires: libjpeg-devel
BuildRequires: libmms-devel
BuildRequires: libmpcdec-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libofa-devel
BuildRequires: libogg-devel
BuildRequires: liboil-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libtasn1-devel
BuildRequires: libxcb-devel
BuildRequires: libxml2-devel
BuildRequires: mjpegtools-devel >= 1.9.0-1m
BuildRequires: nas-devel
BuildRequires: neon-devel
BuildRequires: pakchois-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: x264-devel >= 0.0.1281

# documentation
BuildRequires:  gtk-doc

%description
GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par
compared to the rest. They might be close to being good quality, but
they're missing something - be it a good code review, some
documentation, a set of tests, a real live maintainer, or some actual
wide use.

%prep
%setup -q -n %{srcname}-%{version}

%build
%configure \
    --disable-static \
    --enable-gtk-doc \
    --enable-experimental \
    --disable-divx \
    --disable-ladspa \
    LDFLAGS="$LDFLAGS -fprofile-arcs -ftest-coverage"

%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README RELEASE REQUIREMENTS
# plugins
%{_libdir}/gstreamer-%{majorminor}/libgstaacparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstaiffparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstalsaspdif.so
%{_libdir}/gstreamer-%{majorminor}/libgstamrparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstapexsink.so
%{_libdir}/gstreamer-%{majorminor}/libgstbayer.so
%{_libdir}/gstreamer-%{majorminor}/libgstbz2.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdxaparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstdccp.so
%{_libdir}/gstreamer-%{majorminor}/libgstdirac.so
%{_libdir}/gstreamer-%{majorminor}/libgstdtsdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvb.so
%{_libdir}/gstreamer-%{majorminor}/libgstdvdspu.so
%{_libdir}/gstreamer-%{majorminor}/libgstfaac.so
%{_libdir}/gstreamer-%{majorminor}/libgstfaad.so
%{_libdir}/gstreamer-%{majorminor}/libgstfbdevsink.so
%{_libdir}/gstreamer-%{majorminor}/libgstfestival.so
%{_libdir}/gstreamer-%{majorminor}/libgstfreeze.so
%{_libdir}/gstreamer-%{majorminor}/libgstgsm.so
%{_libdir}/gstreamer-%{majorminor}/libgsth264parse.so
%{_libdir}/gstreamer-%{majorminor}/libgstjack.so
%{_libdir}/gstreamer-%{majorminor}/libgstjp2k.so
#%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so
%{_libdir}/gstreamer-%{majorminor}/libgstlegacyresample.so
%{_libdir}/gstreamer-%{majorminor}/libgstmetadata.so
%{_libdir}/gstreamer-%{majorminor}/libgstmms.so
%{_libdir}/gstreamer-%{majorminor}/libgstmodplug.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg2enc.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpeg4videoparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegtsmux.so
%{_libdir}/gstreamer-%{majorminor}/libgstmpegvideoparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstmplex.so
%{_libdir}/gstreamer-%{majorminor}/libgstmusepack.so
%{_libdir}/gstreamer-%{majorminor}/libgstmve.so
%{_libdir}/gstreamer-%{majorminor}/libgstmxf.so
%{_libdir}/gstreamer-%{majorminor}/libgstnassink.so
%{_libdir}/gstreamer-%{majorminor}/libgstneonhttpsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstnsf.so
%{_libdir}/gstreamer-%{majorminor}/libgstnuvdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstofa.so
%{_libdir}/gstreamer-%{majorminor}/libgstoss4audio.so
%{_libdir}/gstreamer-%{majorminor}/libgstpcapparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstqtmux.so
%{_libdir}/gstreamer-%{majorminor}/libgstrawparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstreal.so
%{_libdir}/gstreamer-%{majorminor}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{majorminor}/libgstscaletempoplugin.so
%{_libdir}/gstreamer-%{majorminor}/libgstsdl.so
%{_libdir}/gstreamer-%{majorminor}/libgstsdpelem.so
%{_libdir}/gstreamer-%{majorminor}/libgstselector.so
%{_libdir}/gstreamer-%{majorminor}/libgstsndfile.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeed.so
%{_libdir}/gstreamer-%{majorminor}/libgststereo.so
%{_libdir}/gstreamer-%{majorminor}/libgstsubenc.so
%{_libdir}/gstreamer-%{majorminor}/libgsttrm.so
%{_libdir}/gstreamer-%{majorminor}/libgsttta.so
%{_libdir}/gstreamer-%{majorminor}/libgstvcdsrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideosignal.so
%{_libdir}/gstreamer-%{majorminor}/libgstvmnc.so
%{_libdir}/gstreamer-%{majorminor}/libgstx264.so
%{_libdir}/gstreamer-%{majorminor}/libresindvd.so
%{_libdir}/gstreamer-%{majorminor}/libgstautoconvert.so
%{_libdir}/gstreamer-%{majorminor}/libgstcamerabin.so
%{_libdir}/gstreamer-%{majorminor}/libgstdtmf.so
%{_libdir}/gstreamer-%{majorminor}/libgstliveadder.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtpmux.so
%{_libdir}/gstreamer-%{majorminor}/libgstsiren.so
%{_libdir}/gstreamer-%{majorminor}/libgstvalve.so
%{_libdir}/gstreamer-%{majorminor}/libgstxdgmime.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebugutilsbad.so
%exclude %{_libdir}/gstreamer-%{majorminor}/*.la

# Depend Nonfree
#%{_libdir}/gstreamer-%{majorminor}/libgstdivxdec.so
#%{_libdir}/gstreamer-%{majorminor}/libgstdivxenc.so

# To good
#%%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace.so
#%%{_libdir}/gstreamer-%{majorminor}/libgstdeinterlace2.so
#%%{_libdir}/gstreamer-%{majorminor}/libgstflv.so
#%%{_libdir}/gstreamer-%{majorminor}/libgsty4menc.so

# document
%{_datadir}/gtk-doc/html/gst-plugins-bad-plugins-%{majorminor}
%{_datadir}/locale/*/*/*

# header
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/photography.h
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces/photography-enumtypes.h

# library
%{_libdir}/libgstphotography-0.10.so*
%exclude %{_libdir}/libgstphotography-0.10.la

# other
%{_datadir}/gstreamer-%{majorminor}/presets/GstX264Enc.prs

%changelog
* Tue Oct 20 2009 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.12-3m)
- rebuild against x264-0.0.1281-0.20091011

* Wed Jun 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.12-2m)
- delete libgstladspa.so (SIGSEGV)

* Sun May 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.12-1m)
- update to 0.10.12

* Wed May  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.11-3m)
- rebuild against mjpegtools-1.9.0-1m
- remove patch0

* Wed May  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10.11-2m)
- rebuild against faad2-2.7

* Thu Apr 30 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.11-1m)
- [SECURITY] CVE-2009-1438 CVE-2009-1513
- update to 0.10.11
-- gst-plugins-bad-plugins < 0.10.11 has a vulnerabe copy of libmodplug.

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10.10-9m)
- rebuild against openssl-0.9.8k

* Sun Mar 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-8m)
- fix BPR

* Sun Mar 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-7m)
- TO main

* Sun Mar 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-6m)
- rebuild against x264-0.0.1127

* Sun Mar  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-5m)
- rebuild against x264-0.0.1114-0.20090218.1m

* Sun Feb 22 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.10.10-4m)
- remove --enable-gcov option
- exclude la files

* Mon Feb 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-3m)
- TO.Nonfree

* Mon Feb 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-2m)
- fix BuildRequires:

* Mon Feb 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-1m)
- initial build
